Skip to content

API reference / Bank accounts

GET /v1/customers/{id}/collections Bearer

List payments into customer bank account

Path parameters

id required string

Query parameters

per_page optional integer
GET https://omni.mojo-pay.com/v1/customers/{id}/collections
curl -X GET "https://omni.mojo-pay.com/v1/customers/{id}/collections" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "object": "list",
    "customer_id": "MC_PAYMENTS01",
    "data": [
        {
            "id": "CL_VAIN001ABCDEF",
            "object": "collection",
            "status": "succeeded",
            "currency": "GHS",
            "amount": "40.00",
            "merchant_reference": "VAIN-API-001",
            "payment_rail": "bank_transfer",
            "customer_id": "MC_PAYMENTS01",
            "virtual_account": {
                "account_number": "6200889900",
                "account_name": "Ama Customer",
                "account_type": "STATIC",
                "bank_code": "300325",
                "bank_name": "UNITED BANK FOR AFRICA (GH) LTD",
                "status": "ACTIVE",
                "expires_at": null,
                "single_deposit_limit": null
            }
        }
    ],
    "has_more": false,
    "total": 1
}